CVE-2014-3461

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

hw/usb/bus.c in QEMU 1.6.2 allows remote attackers to execute arbitrary code via crafted savevm data, which triggers a heap-based buffer overflow, related to "USB post load checks."

References

http://article.gmane.org/gmane.comp.emulators.qemu/272092

http://lists.fedoraproject.org/pipermail/package-announce/2014-June/134053.html

http://rhn.redhat.com/errata/RHSA-2014-0743.html

http://rhn.redhat.com/errata/RHSA-2014-0744.html

Details

Source: MITRE

Published: 2014-11-04

Updated: 2014-11-05

Type: CWE-119

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:qemu:qemu:1.6.2:*:*:*:*:*:*:*

Tenable Plugins

View all (15 total)

IDNameProductFamilySeverity
81944Mandriva Linux Security Advisory : qemu (MDVSA-2015:061)NessusMandriva Local Security Checks
high
79407Mandriva Linux Security Advisory : qemu (MDVSA-2014:220)NessusMandriva Local Security Checks
high
79030RHEL 6 : qemu-kvm-rhev (RHSA-2014:0744)NessusRed Hat Local Security Checks
high
79029RHEL 6 : rhev-hypervisor6 3.4.0 (RHSA-2014:0674)NessusRed Hat Local Security Checks
high
78105SuSE 11.3 Security Update : kvm (SAT Patch Number 9739)NessusSuSE Local Security Checks
high
77570Ubuntu 10.04 LTS / 12.04 LTS / 14.04 LTS : qemu, qemu-kvm vulnerabilities (USN-2342-1)NessusUbuntu Local Security Checks
high
77461GLSA-201408-17 : QEMU: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
76907RHEL 7 : qemu-kvm (RHSA-2014:0927)NessusRed Hat Local Security Checks
high
76839CentOS 7 : qemu-kvm (CESA-2014:0927)NessusCentOS Local Security Checks
high
76748Oracle Linux 7 : qemu-kvm (ELSA-2014-0927)NessusOracle Linux Local Security Checks
high
74490Scientific Linux Security Update : qemu-kvm on SL6.x i386/x86_64 (20140610)NessusScientific Linux Local Security Checks
high
74474CentOS 6 : qemu-kvm (CESA-2014:0743)NessusCentOS Local Security Checks
high
74461RHEL 6 : qemu-kvm (RHSA-2014:0743)NessusRed Hat Local Security Checks
high
74457Oracle Linux 6 : qemu-kvm (ELSA-2014-0743)NessusOracle Linux Local Security Checks
high
74414Fedora 20 : qemu-1.6.2-6.fc20 (2014-6970)NessusFedora Local Security Checks
high